<template>
	<el-dialog :show-close="true" :custom-class="'user-dialog'" :visible="dialogvisible" @close="$emit('update:dialogvisible', false)">
		<div class="avatar-box">
			<img :src="(userdata.user && userdata.user.avatar) ? userdata.user.avatar : $store.imgHolder" alt="user avatar">
			<!--<div class="star" @click="userdata.starred = !userdata.starred">-->
				<!--<i class="mdi mdi-star align-vertical-middle" v-if="userdata.starred"></i>-->
				<!--<i class="mdi mdi-star-outline align-vertical-middle" v-if="!userdata.starred"></i>-->
			<!--</div>-->
		</div>
		<div class="form-box" style="overflow: auto">
			<el-form >
				<el-row :gutter="30">
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Username">
							<el-input />
						</el-form-item>
					</el-col>
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Email">
							<el-input  type="email"/>
						</el-form-item>
					</el-col>
				</el-row>
				<el-row :gutter="30">
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="First name">
							<el-input />
						</el-form-item>
					</el-col>
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Last name">
							<el-input />
						</el-form-item>
					</el-col>
				</el-row>
				<el-row :gutter="30">
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Birthday">
							<el-date-picker type="date" placeholder="Pick a date"  style="width: 100%;"></el-date-picker>
						</el-form-item>
					</el-col>
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Gender">
							<el-radio-group >
								<el-radio label="Male" border></el-radio>
								<el-radio label="Female" border></el-radio>
							</el-radio-group>
						</el-form-item>
					</el-col>
				</el-row>
				<el-row :gutter="30">
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Phone">
							<el-input  placeholder="+xx xxx xxx xxxx"/>
						</el-form-item>
					</el-col>
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Website">
							<el-input  placeholder="https://"/>
						</el-form-item>
					</el-col>
				</el-row>
				<el-row :gutter="30">
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Address">
							<el-input />
						</el-form-item>
					</el-col>
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Postal code">
							<el-input />
						</el-form-item>
					</el-col>
				</el-row>
				<el-row :gutter="30">
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="City">
							<el-input />
						</el-form-item>
					</el-col>
					<el-col :span="12" :md="12" :sm="24" :xs="24" class="col-p">
						<el-form-item label="Country">
							<el-input />
						</el-form-item>
					</el-col>
				</el-row>
			</el-form>
		</div >

	</el-dialog>
</template>

<script>
    import {seeker as seekerApi} from '~/services/apis/index';

    export default {
		name: 'UserDialog',
		props: ['userdata', 'dialogvisible'],
		data() {
			return {
			    userDetail: {},

			}
		},
		methods: {
			getSeekerDetail(){
			    if(this.userdata || this.userdata.id) return;
				seekerApi.getSeeker(this.userdata.id)
				.then((res) => {
					this.userDetail = res.data.data;
				});
			}
		},
		mounted(){
			this.getSeekerDetail()
		}

	}
</script>

<style lang="scss">
@import '../assets/scss/_variables';

.el-dialog.user-dialog {
	max-width: 1000px;

	.el-dialog__header {
		padding: 0;

		.el-dialog__headerbtn {
			z-index: 1;
			background: rgba(0, 0, 0, 0.05);
			min-width: 18px;
			min-height: 18px;
			border-radius: 4px;
			
			.el-dialog__close {
				color: $background-color;
			}
		}
	}
	.el-dialog__body {
		padding: 0;
	}

	.avatar-box {
		background: $text-color-accent;
		margin-bottom: 50px;
		position: relative;

		img {
			width: 100px;
			height: 100px;
			border-radius: 50%;
			position: relative;
			bottom: -50px;
			display: block;
			margin: 0 auto;
			background: white;
			border: 2px solid $text-color-accent;
			box-sizing: border-box;
		}

		.star {
			position: absolute;
			top: 50%;
			left: 50%;
			z-index: 1;
			background: white;
			box-sizing: border-box;
			width: 30px;
			height: 30px;
			text-align: center;
			line-height: 28px;
			font-size: 20px;
			border-radius: 50%;
			border: 2px solid $text-color-accent;
			cursor: pointer;
			margin-top: 35px;
			margin-left: 35px;

			.mdi-star {
				color: #ffd730;
			}
			.mdi-star-outline {
				opacity: .5;
			}
		}
	}

	.form-box {
		padding: 20px;
		box-sizing: border-box;

		& > * {
			margin: 10px 0;
		}
	}
}
</style>
